<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:type="locator" xlink:label="AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:type="locator" xlink:label="AdjustmentsForInterestIncomeExpenseAndDividendIncome"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_AdjustmentsForLossesGainsOnInvestmentActivities" xlink:type="locator" xlink:label="AdjustmentsForLossesGainsOnInvestmentActivities"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_CurrentBorrowingsAndLeaseLiabilities" xlink:type="locator" xlink:label="CurrentBorrowingsAndLeaseLiabilities"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_CurrentEmissionRightsPurchasedForRedemption" xlink:type="locator" xlink:label="CurrentEmissionRightsPurchasedForRedemption"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_FundsReceivedUnderCashPooling" xlink:type="locator" xlink:label="FundsReceivedUnderCashPooling"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_FundsTransferredUnderCashPooling" xlink:type="locator" xlink:label="FundsTransferredUnderCashPooling"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_IncomeCostsFromCompensation" xlink:type="locator" xlink:label="IncomeCostsFromCompensation"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:type="locator" xlink:label="IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:type="locator" xlink:label="InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_NetCashPoolingClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="NetCashPoolingClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_NonCurrentBorrowingsAndLeaseLiabilities" xlink:type="locator" xlink:label="NonCurrentBorrowingsAndLeaseLiabilities"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_NonCurrentEmissionRightsPurchasedForRedemption" xlink:type="locator" xlink:label="NonCurrentEmissionRightsPurchasedForRedemption"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:labelArc xlink:from="AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:to="documentation_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:to="label_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:to="documentation_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:to="label_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:to="negated_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForLossesGainsOnInvestmentActivities" xlink:to="documentation_AdjustmentsForLossesGainsOnInvestmentActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForLossesGainsOnInvestmentActivities" xlink:to="label_AdjustmentsForLossesGainsOnInvestmentActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="CurrentBorrowingsAndLeaseLiabilities" xlink:to="documentation_CurrentBorrowingsAndLeaseLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="CurrentBorrowingsAndLeaseLiabilities" xlink:to="label_CurrentBorrowingsAndLeaseLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="CurrentEmissionRightsPurchasedForRedemption" xlink:to="documentation_CurrentEmissionRightsPurchasedForRedemption" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="CurrentEmissionRightsPurchasedForRedemption" xlink:to="label_CurrentEmissionRightsPurchasedForRedemption" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="FundsReceivedUnderCashPooling" xlink:to="documentation_FundsReceivedUnderCashPooling" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="FundsReceivedUnderCashPooling" xlink:to="label_FundsReceivedUnderCashPooling" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="FundsTransferredUnderCashPooling" xlink:to="documentation_FundsTransferredUnderCashPooling" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="FundsTransferredUnderCashPooling" xlink:to="label_FundsTransferredUnderCashPooling" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="FundsTransferredUnderCashPooling" xlink:to="negated_FundsTransferredUnderCashPooling" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IncomeCostsFromCompensation" xlink:to="documentation_IncomeCostsFromCompensation" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IncomeCostsFromCompensation" xlink:to="label_IncomeCostsFromCompensation" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:to="negated_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:to="documentation_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:to="label_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NetCashPoolingClassifiedAsFinancingActivities" xlink:to="documentation_NetCashPoolingClassifiedAsFinancingActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NetCashPoolingClassifiedAsFinancingActivities" xlink:to="label_NetCashPoolingClassifiedAsFinancingActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NonCurrentBorrowingsAndLeaseLiabilities" xlink:to="documentation_NonCurrentBorrowingsAndLeaseLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NonCurrentBorrowingsAndLeaseLiabilities" xlink:to="label_NonCurrentBorrowingsAndLeaseLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NonCurrentEmissionRightsPurchasedForRedemption" xlink:to="documentation_NonCurrentEmissionRightsPurchasedForRedemption" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NonCurrentEmissionRightsPurchasedForRedemption" xlink:to="label_NonCurrentEmissionRightsPurchasedForRedemption" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:to="negated_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:label id="documentation_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption_en" xlink:label="documentation_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for decrease increase in emission rights purchased for redemption</link:label>
        <link:label id="documentation_AdjustmentsForInterestIncomeExpenseAndDividendIncome_en" xlink:label="documentation_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for interest income expense and dividend income</link:label>
        <link:label id="documentation_AdjustmentsForLossesGainsOnInvestmentActivities_en" xlink:label="documentation_AdjustmentsForLossesGainsOnInvestmentActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for losses gains on investment activities</link:label>
        <link:label id="documentation_CurrentBorrowingsAndLeaseLiabilities_en" xlink:label="documentation_CurrentBorrowingsAndLeaseLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Current borrowings and lease liabilities</link:label>
        <link:label id="documentation_CurrentEmissionRightsPurchasedForRedemption_en" xlink:label="documentation_CurrentEmissionRightsPurchasedForRedemption" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Current emission rights purchased for redemption</link:label>
        <link:label id="documentation_FundsReceivedUnderCashPooling_en" xlink:label="documentation_FundsReceivedUnderCashPooling" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Funds received under cash pooling</link:label>
        <link:label id="documentation_FundsTransferredUnderCashPooling_en" xlink:label="documentation_FundsTransferredUnderCashPooling" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Funds transferred under cash pooling</link:label>
        <link:label id="documentation_IncomeCostsFromCompensation_en" xlink:label="documentation_IncomeCostsFromCompensation" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Income costs from compensation</link:label>
        <link:label id="documentation_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod_en" xlink:label="documentation_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Interest finance income calculated using effective interest method</link:label>
        <link:label id="documentation_NetCashPoolingClassifiedAsFinancingActivities_en" xlink:label="documentation_NetCashPoolingClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Net cash pooling classified as financing activities</link:label>
        <link:label id="documentation_NonCurrentBorrowingsAndLeaseLiabilities_en" xlink:label="documentation_NonCurrentBorrowingsAndLeaseLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Non current borrowings and lease liabilities</link:label>
        <link:label id="documentation_NonCurrentEmissionRightsPurchasedForRedemption_en" xlink:label="documentation_NonCurrentEmissionRightsPurchasedForRedemption" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Non current emission rights purchased for redemption</link:label>
        <link:label id="label_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption_en" xlink:label="label_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for decrease increase in emission rights purchased for redemption</link:label>
        <link:label id="label_AdjustmentsForInterestIncomeExpenseAndDividendIncome_en" xlink:label="label_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for interest income expense and dividend income</link:label>
        <link:label id="label_AdjustmentsForLossesGainsOnInvestmentActivities_en" xlink:label="label_AdjustmentsForLossesGainsOnInvestmentActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for losses gains on investment activities</link:label>
        <link:label id="label_CurrentBorrowingsAndLeaseLiabilities_en" xlink:label="label_CurrentBorrowingsAndLeaseLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current borrowings and lease liabilities</link:label>
        <link:label id="label_CurrentEmissionRightsPurchasedForRedemption_en" xlink:label="label_CurrentEmissionRightsPurchasedForRedemption" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current emission rights purchased for redemption</link:label>
        <link:label id="label_FundsReceivedUnderCashPooling_en" xlink:label="label_FundsReceivedUnderCashPooling" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Funds received under cash pooling</link:label>
        <link:label id="label_FundsTransferredUnderCashPooling_en" xlink:label="label_FundsTransferredUnderCashPooling" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Funds transferred under cash pooling</link:label>
        <link:label id="label_IncomeCostsFromCompensation_en" xlink:label="label_IncomeCostsFromCompensation" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Income costs from compensation</link:label>
        <link:label id="label_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod_en" xlink:label="label_InterestFinanceIncomeCalculatedUsingEffectiveInterestMethod" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest finance income calculated using effective interest method</link:label>
        <link:label id="label_NetCashPoolingClassifiedAsFinancingActivities_en" xlink:label="label_NetCashPoolingClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash pooling classified as financing activities</link:label>
        <link:label id="label_NonCurrentBorrowingsAndLeaseLiabilities_en" xlink:label="label_NonCurrentBorrowingsAndLeaseLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non current borrowings and lease liabilities</link:label>
        <link:label id="label_NonCurrentEmissionRightsPurchasedForRedemption_en" xlink:label="label_NonCurrentEmissionRightsPurchasedForRedemption" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non current emission rights purchased for redemption</link:label>
        <link:label id="negated_AdjustmentsForInterestIncomeExpenseAndDividendIncome_en" xlink:label="negated_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Adjustments for interest income expense and dividend income</link:label>
        <link:label id="negated_FundsTransferredUnderCashPooling_en" xlink:label="negated_FundsTransferredUnderCashPooling" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Funds transferred under cash pooling</link:label>
        <link:label id="negated_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_en" xlink:label="negated_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Income tax relating to components of other comprehensive income that will not be reclassified to profit or loss</link:label>
        <link:label id="negated_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities_en" xlink:label="negated_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of financial instruments, classified as investing activities</link:label>
        <link:label id="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_en" xlink:label="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets</link:label>
    </link:labelLink>
</link:linkbase>
